curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=country
curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=region
curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=zip_code
Public endpoints
Geo Report
Get geographic performance data aggregated by location.
GET
/
geo
/
?date_from=
{date_from}
&date_to=
{date_to}
&advertiser_id=
{advertiser_id}
curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=country
curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=region
curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=zip_code
Maximum date range 365 days
This endpoint is protected and requires an agency API key for access.
curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=country
curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=region
curl --request GET \
--url https://api.growthchannel.io/geo/?date_from=2024-01-01&date_to=2024-01-07&advertiser_id=544&breakout=zip_code
Method
GETEndpoint
/geo/Headers
string
required
The agency’s API key for authorization. Contact an admin to get one.
Parameters
string
required
Start date in YYYY-MM-DD format.
string
required
End date in YYYY-MM-DD format.
integer
required
The unique identifier for the advertiser.
integer
default:"0"
Page number for pagination.
string
default:"country"
Geographic breakdown level (country/region/zip_code).
integer
Filter by a specific campaign ID.
Breakout Options
Thebreakout parameter determines the level of geographic detail in the report.
country: Aggregates data by country.region: Aggregates data by state or region.zip_code: Aggregates data by postal code.
Responses
- 200 OK Country
- 200 OK Region
- 200 OK ZIPCODE
- 400 Bad Request
- 401 Unauthorized
- 500 Internal Server Error
{
"data": [
{
"country": "US",
"impressions": 1000,
"clicks": 50,
"total_conversions": 0,
"video_audio_views": 0,
"video_audio_complete": 0,
"total_revenue": 0.0,
"total_spend": 0.005,
"cpm": 5.126,
"cpc": 0.0,
"cpa": 0.0,
"cpv": 0.005,
"cpv_video": 0.0,
"cpcv_video": 0.0,
"roas": 0.0,
"vcr": 0.0,
"ctr": 0.0
}
],
"pagination": {
"current_page": 0,
"total_pages": 5,
"total_count": 100
},
"breakout": "country"
}
array
An array of geographic performance objects. The location key (
country, region, or zip_code) depends on the breakout parameter used in the request.object
An object containing pagination details.
{
"data": [
{
"country": "US",
"region": "Jalisco",
"impressions": 1000,
"clicks": 50,
"total_conversions": 0,
"video_audio_views": 0,
"video_audio_complete": 0,
"total_revenue": 0.0,
"total_spend": 0.005,
"cpm": 5.126,
"cpc": 0.0,
"cpa": 0.0,
"cpv": 0.005,
"cpv_video": 0.0,
"cpcv_video": 0.0,
"roas": 0.0,
"vcr": 0.0,
"ctr": 0.0
}
],
"pagination": {
"current_page": 0,
"total_pages": 5,
"total_count": 100
},
"breakout": "region"
}
array
An array of geographic performance objects. The location key (
country, region, or zip_code) depends on the breakout parameter used in the request.object
An object containing pagination details.
{
"data": [
{
"country": "US",
"zip_code": "60074",
"impressions": 1000,
"clicks": 50,
"total_conversions": 0,
"video_audio_views": 0,
"video_audio_complete": 0,
"total_revenue": 0.0,
"total_spend": 0.005,
"cpm": 5.126,
"cpc": 0.0,
"cpa": 0.0,
"cpv": 0.005,
"cpv_video": 0.0,
"cpcv_video": 0.0,
"roas": 0.0,
"vcr": 0.0,
"ctr": 0.0
}
],
"pagination": {
"current_page": 0,
"total_pages": 5,
"total_count": 100
},
"breakout": "region"
}
array
An array of geographic performance objects. The location key (
country, region, or zip_code) depends on the breakout parameter used in the request.object
An object containing pagination details.
Returned if required query parameters are missing.
Returned if the
X-Api-Key header is missing or invalid.Returned if there is an unexpected server error.
